Bug 181338 - JJ:podcasts are not properly sorted because the pubdate is not parsed correctly
Summary: JJ:podcasts are not properly sorted because the pubdate is not parsed correctly
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Podcast (show other bugs)
Version: 2.0.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
: 183329 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-01-19 20:28 UTC by andreaswuest
Modified: 2009-02-05 23:49 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of the problem (65.05 KB, image/png)
2009-01-19 20:33 UTC, andreaswuest
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreaswuest 2009-01-19 20:28:23 UTC
Version:           2.0.1 (using 4.1.3 (KDE 4.1.3), Kubuntu packages)
Compiler:          cc
OS:                Linux (x86_64) release 2.6.27-9-generic

hello,

the podcast http://feeds.feedburner.com/se-radio is not
properly sorted. see the attached screenshot. a proper sorting
would be very nice, because unsorted, it is quite unusable, especially
when you limit the number of episodes to be displayed.
Comment 1 andreaswuest 2009-01-19 20:33:31 UTC
Created attachment 30428 [details]
screenshot of the problem
Comment 2 Bart Cerneels 2009-01-19 21:57:51 UTC
I can not reproduce this by just adding this podcast. I think this is because you have been using a beta version of Amarok that didn't yet read the pubDate tags. The pubDate is used to sort.

To be sure please do this:

-Amarok > Tools > Scriptmanger
-Enable "Amarok Script Console"
-Enter this:
Amarok.Collection.query("SELECT e.title, e.pubdate FROM podcastepisodes AS e LEFT JOIN podcastchannels AS c ON e.channel=c.id WHERE c.url='http://feeds.feedburner.com/se-radio';");
-Press "Execute Code"
-Paste the output here.
Comment 3 andreaswuest 2009-01-19 22:14:55 UTC
hello bart,

i can confirm, that the sorting is correct, if you add the podcast (i removed the old one
and added it again). and have a look at it. however, after restarting amarok the sorting
order is revesed (i was descending, now it is ascending).  is the sorting order for you still
ok once you restarted amarok ?

here is the result for the sql query. the pubdate looks pretty much messed up :-(  :

Episode 2: Dependencies,2009-01-19T22:08:53,Episode 0: About,2009-01-19T22:08:53,Episode 1: Patterns,2009-01-19T22:08:53,Episode 3: Interview Doug Schmidt,2009-01-19T22:08:53,Episode 5: Model-Driven Software Development Pt. 1,2009-01-19T22:08:53,Episode 4: Scripting Languages,2009-01-19T22:08:53,Episode 6: Model-Driven Software Development Pt. 2,2009-01-19T22:08:53,Episode 7: Error Handling,2009-01-19T22:08:53,Episode 8: Interview Eric Evans,2009-01-19T22:08:53,Episode 9: Remoting Pt.1 and Listener Feedback,2009-01-19T22:08:53,Episode 11: Interview Gregor Kiczales,2009-01-19T22:08:53,Episode 10: Remoting Pt. 2,2009-01-19T22:08:53,Episode 12: Concurrency Pt. 1,2009-01-19T22:08:53,Episode 14: Interview Ted Neward,2009-01-19T22:08:53,Episode 13: Ruby in Practice,2009-01-19T22:08:53,Episode 17: Feedback and Roadmap,2009-01-19T22:08:53,Episode 16: MDSD Pt. 3, Hands-On,2009-01-19T22:08:53,Episode 15: The Future of Enterprise Java,2009-01-19T22:08:53,Episode 20: Interview Michael Stal,2009-01-19T22:08:53,Episode 19: Concurrency Pt. 2,2009-01-19T22:08:53,Episode 18: Resource Management,2009-01-19T22:08:53,Episode 21: Error Handling Pt. 2,2009-01-19T22:08:53,Episode 23: Architecture Pt. 1,2009-01-19T22:08:53,Episode 22: Feedback,2009-01-19T22:08:53,Episode 24: Development Processes Pt.1,2009-01-19T22:08:53,Episode 25: Architecture Pt. 2,2009-01-19T22:08:53,Episode 26: Interview Jutta Eckstein,2009-01-19T22:08:53,Episode 29: Concurrency Pt.3,2009-01-19T22:08:53,Episode 28: Type Systems,2009-01-19T22:08:53,Episode 27: Service Oriented Architecture Pt.1,2009-01-19T22:08:53,Episode 30: Architecture Pt.3,2009-01-19T22:08:53,Episode 31: Agile Documentation,2009-01-19T22:08:53,Episode 34: Enterprise Architecture,2009-01-19T22:08:53,Episode 33: Service Oriented Architecture, Pt.2b,2009-01-19T22:08:53,Episode 32: Service Oriented Architecture, Pt.2a,2009-01-19T22:08:53,Episode 35: Roadmap,2009-01-19T22:08:53,Episode 37: eXtreme Programming Pt.1,2009-01-19T22:08:53,Episode 36: Interview Guy Steele,2009-01-19T22:08:53,Episode 39: Interview Steve Vinoski,2009-01-19T22:08:53,Episode 38: Interview James Noble,2009-01-19T22:08:53,Episode 40: Interview Werner Vogels,2009-01-19T22:08:53,Episode 41: Architecture Patterns (Architecture Pt. 4),2009-01-19T22:08:53,Episode 42: Interview Gregor Hohpe,2009-01-19T22:08:53,Episode 43: eXtreme Programming Pt.2,2009-01-19T22:08:53,Episode 45: Round Table on Ultra Large Scale Systems,2009-01-19T22:08:53,Episode 44: Interview Brian Goetz and David Holmes,2009-01-19T22:08:53,Episode 46: Refactoring Pt. 1,2009-01-19T22:08:53,Episode 47: Interview Grady Booch,2009-01-19T22:08:52,Episode 49: Dynamic Languages for Static Minds,2009-01-19T22:08:52,Episode 48: Interview Dragos Manolescua,2009-01-19T22:08:52,Episode 50: Announcements and Requests,2009-01-19T22:08:52,Episode 53: Product Line Engineering Pt. 1,2009-01-19T22:08:52,Episode 52: DSL Development in Ruby,2009-01-19T22:08:52,Episode 51: Design By Contract,2009-01-19T22:08:52,Episode 54: Interview Frank Buschmann,2009-01-19T22:08:52,Episode 55: Refactoring Pt. 2,2009-01-19T22:08:52,Episode 58: Product Line Engineering Pt. 2,2009-01-19T22:08:52,Episode 56: Sensor Networks,2009-01-19T22:08:52,Episode 57: Compile-Time Metaprogramming,2009-01-19T22:08:52,Episode 59: Static Code Analysis,2009-01-19T22:08:52,Episode 61: Internals of GCC,2009-01-19T22:08:52,Episode 60: Roman Pichler on Scrum,2009-01-19T22:08:52,Episode 62: Martin Odersky on Scala,2009-01-19T22:08:52,Episode 65: Introduction to Embedded Systems,2009-01-19T22:08:52,Episode 64: Luke Hohmann on Architecture and Business,2009-01-19T22:08:52,Episode 63: A Pattern Language for Distributed Systems with Henney and Buschmann,2009-01-19T22:08:52,Episode 67: Roundtable on MDSD and PLE,2009-01-19T22:08:52,Episode 66: Gary McGraw on Security,2009-01-19T22:08:52,Episode 69: Nico Josuttis on SOA (SOA Pt. 3),2009-01-19T22:08:52,Episode 68: Dan Grossman on Garbage Collection and Transactional Memory,2009-01-19T22:08:52,Episode 71: Survey Results,2009-01-19T22:08:52,Episode 70: Gerard Meszaros on XUnit Test Patterns,2009-01-19T22:08:52,Episode 72: Erik Meijer on LINQ,2009-01-19T22:08:52,Episode 74: Enterprise Architecture II,2009-01-19T22:08:52,Episode 73: Real Time Systems with Bruce Powel Douglass,2009-01-19T22:08:52,Episode 75: The New Website,2009-01-19T22:08:52,Episode 76: Special Episode on the Patterns Journal,2009-01-19T22:08:52,Episode 77: Fault Tolerance with Bob Hanmer Pt. 1,2009-01-19T22:08:52,Episode 78: Fault Tolerance with Bob Hanmer Pt. 2,2009-01-19T22:08:52,Episode 79: Small Memory Software with Weir and Noble,2009-01-19T22:08:52,Episode 80: OSGi with Peter Kriens and BJ Hargrave,2009-01-19T22:08:52,Episode 82: Organization of Large Code Bases with Juergen Hoeller,2009-01-19T22:08:52,Episode 81: Interview Erich Gamma,2009-01-19T22:08:52,Episode 83: Jeff DeLuca on Feature Driven Development,2009-01-19T22:08:52,Episode 85: Web Services with Olaf Zimmermann,2009-01-19T22:08:52,Episode 84: Dick Gabriel on Lisp,2009-01-19T22:08:52,Episode 86: Interview Dave Thomas,2009-01-19T22:08:52,Episode 87: Software Components,2009-01-19T22:08:52,Episode 88: The Singularity Research OS with Galen Hunt,2009-01-19T22:08:52,Episode 89: Joe Armstrong on Erlang,2009-01-19T22:08:52,Episode 90: Product Line Engineering, Pt. 3, with Charles Krueger,2009-01-19T22:08:52,Episode 91: Kevlin Henney on C++,2009-01-19T22:08:52,Episode 92: Introduction to Game Development,2009-01-19T22:08:52,Episode 93: Lessons Learned From Architecture Reviews with Rebecca Wirfs-Brock,2009-01-19T22:08:52,Episode 94: Open Source Business Models with Dirk Riehle,2009-01-19T22:08:52,Episode 96: Interview Krzysztof Czarnecki,2009-01-19T22:08:52,Episode 95: The New Guardian.co.uk website with Matt Wall and Erik DoernenBurg,2009-01-19T22:08:52,Episode 97: Interview Anders Hejlsberg,2009-01-19T22:08:52,Episode 99: Transactions,2009-01-19T22:08:52,Episode 98: Stefan Tilkov on REST,2009-01-19T22:08:52,Episode 100: Software in Space,2009-01-19T22:08:52,Episode 101: Andreas Zeller on Debugging,2009-01-19T22:08:52,Episode 102: Relational Databases,2009-01-19T22:08:52,Episode 103: 10 years of Agile Experiences,2009-01-19T22:08:52,Episode 114: Christof Ebert on Requirements Engineering,2009-01-19T22:08:52,Episode 113: Building Platforms with Jeff McAffer,2009-01-19T22:08:52,Episode 112: Roles in Software Engineering II,2009-01-19T22:08:52,Episode 111: About Us 2008,2009-01-19T22:08:52,Episode 110: Roles in Software Engineering I,2009-01-19T22:08:52,Episode 109: eBay's Architecture Principles with Randy Shoup,2009-01-19T22:08:52,Episode 108: Simon Peyton Jones on Functional Programming and Haskell,2009-01-19T22:08:52,Episode 107: Andrew Watson on the OMG,2009-01-19T22:08:52,Episode 106: Introduction to AOP,2009-01-19T22:08:52,Episode 105: Retrospectives with Linda Rising,2009-01-19T22:08:52,Episode 104: Plugin Architectures,2009-01-19T22:08:52,Episode 115: Architecture Analysis,2009-01-19T22:08:52,Episode 116: The Semantic Web with Jim Hendler,2009-01-19T22:08:52,Episode 117: Bran Selic on UML,2009-01-19T22:08:52,Episode 118: Eelco Visser on Parsers,2009-01-19T22:08:52,Episode 123: Microsoft OSLO with Don Box and Doug Purdy,2009-01-19T22:08:52,Episode 120: OCL with Anneke Kleppe,2009-01-19T22:08:52,Episode 119: DSLs in Practice with JP Tolvanen,2009-01-19T22:08:52,Episode 121: OR Mappers with Michael Plöd,2009-01-19T22:08:52,Episode 122: Interview Janos Sztipanovits,2009-01-19T22:08:52 
Comment 4 Bart Cerneels 2009-01-19 22:46:27 UTC
The order is correct for me after restart.
Is that result from before or after you added the podcast again?

Here is an even better query you could use (sort on pubdate):
Amarok.Collection.query("SELECT e.title, e.pubdate FROM podcastepisodes AS e LEFT JOIN podcastchannels AS c ON e.channel=c.id WHERE c.url='http://feeds.feedburner.com/se-radio' ORDER BY e.pubdate;"); 
Comment 5 andreaswuest 2009-01-20 19:19:04 UTC
the result was from after adding the podcast again. 

here is the result of the new query. looks broken  :-(

Episode 47: Interview Grady Booch,2009-01-19T22:08:52,Episode 49: Dynamic Languages for Static Minds,2009-01-19T22:08:52,Episode 48: Interview Dragos Manolescua,2009-01-19T22:08:52,Episode 50: Announcements and Requests,2009-01-19T22:08:52,Episode 53: Product Line Engineering Pt. 1,2009-01-19T22:08:52,Episode 52: DSL Development in Ruby,2009-01-19T22:08:52,Episode 51: Design By Contract,2009-01-19T22:08:52,Episode 54: Interview Frank Buschmann,2009-01-19T22:08:52,Episode 55: Refactoring Pt. 2,2009-01-19T22:08:52,Episode 58: Product Line Engineering Pt. 2,2009-01-19T22:08:52,Episode 56: Sensor Networks,2009-01-19T22:08:52,Episode 57: Compile-Time Metaprogramming,2009-01-19T22:08:52,Episode 59: Static Code Analysis,2009-01-19T22:08:52,Episode 61: Internals of GCC,2009-01-19T22:08:52,Episode 60: Roman Pichler on Scrum,2009-01-19T22:08:52,Episode 62: Martin Odersky on Scala,2009-01-19T22:08:52,Episode 65: Introduction to Embedded Systems,2009-01-19T22:08:52,Episode 64: Luke Hohmann on Architecture and Business,2009-01-19T22:08:52,Episode 63: A Pattern Language for Distributed Systems with Henney and Buschmann,2009-01-19T22:08:52,Episode 67: Roundtable on MDSD and PLE,2009-01-19T22:08:52,Episode 66: Gary McGraw on Security,2009-01-19T22:08:52,Episode 69: Nico Josuttis on SOA (SOA Pt. 3),2009-01-19T22:08:52,Episode 68: Dan Grossman on Garbage Collection and Transactional Memory,2009-01-19T22:08:52,Episode 71: Survey Results,2009-01-19T22:08:52,Episode 70: Gerard Meszaros on XUnit Test Patterns,2009-01-19T22:08:52,Episode 72: Erik Meijer on LINQ,2009-01-19T22:08:52,Episode 74: Enterprise Architecture II,2009-01-19T22:08:52,Episode 73: Real Time Systems with Bruce Powel Douglass,2009-01-19T22:08:52,Episode 75: The New Website,2009-01-19T22:08:52,Episode 76: Special Episode on the Patterns Journal,2009-01-19T22:08:52,Episode 77: Fault Tolerance with Bob Hanmer Pt. 1,2009-01-19T22:08:52,Episode 78: Fault Tolerance with Bob Hanmer Pt. 2,2009-01-19T22:08:52,Episode 79: Small Memory Software with Weir and Noble,2009-01-19T22:08:52,Episode 80: OSGi with Peter Kriens and BJ Hargrave,2009-01-19T22:08:52,Episode 82: Organization of Large Code Bases with Juergen Hoeller,2009-01-19T22:08:52,Episode 81: Interview Erich Gamma,2009-01-19T22:08:52,Episode 83: Jeff DeLuca on Feature Driven Development,2009-01-19T22:08:52,Episode 85: Web Services with Olaf Zimmermann,2009-01-19T22:08:52,Episode 84: Dick Gabriel on Lisp,2009-01-19T22:08:52,Episode 86: Interview Dave Thomas,2009-01-19T22:08:52,Episode 87: Software Components,2009-01-19T22:08:52,Episode 88: The Singularity Research OS with Galen Hunt,2009-01-19T22:08:52,Episode 89: Joe Armstrong on Erlang,2009-01-19T22:08:52,Episode 90: Product Line Engineering, Pt. 3, with Charles Krueger,2009-01-19T22:08:52,Episode 91: Kevlin Henney on C++,2009-01-19T22:08:52,Episode 92: Introduction to Game Development,2009-01-19T22:08:52,Episode 93: Lessons Learned From Architecture Reviews with Rebecca Wirfs-Brock,2009-01-19T22:08:52,Episode 94: Open Source Business Models with Dirk Riehle,2009-01-19T22:08:52,Episode 96: Interview Krzysztof Czarnecki,2009-01-19T22:08:52,Episode 95: The New Guardian.co.uk website with Matt Wall and Erik DoernenBurg,2009-01-19T22:08:52,Episode 97: Interview Anders Hejlsberg,2009-01-19T22:08:52,Episode 99: Transactions,2009-01-19T22:08:52,Episode 98: Stefan Tilkov on REST,2009-01-19T22:08:52,Episode 100: Software in Space,2009-01-19T22:08:52,Episode 101: Andreas Zeller on Debugging,2009-01-19T22:08:52,Episode 102: Relational Databases,2009-01-19T22:08:52,Episode 103: 10 years of Agile Experiences,2009-01-19T22:08:52,Episode 114: Christof Ebert on Requirements Engineering,2009-01-19T22:08:52,Episode 113: Building Platforms with Jeff McAffer,2009-01-19T22:08:52,Episode 112: Roles in Software Engineering II,2009-01-19T22:08:52,Episode 111: About Us 2008,2009-01-19T22:08:52,Episode 110: Roles in Software Engineering I,2009-01-19T22:08:52,Episode 109: eBay's Architecture Principles with Randy Shoup,2009-01-19T22:08:52,Episode 108: Simon Peyton Jones on Functional Programming and Haskell,2009-01-19T22:08:52,Episode 107: Andrew Watson on the OMG,2009-01-19T22:08:52,Episode 106: Introduction to AOP,2009-01-19T22:08:52,Episode 105: Retrospectives with Linda Rising,2009-01-19T22:08:52,Episode 104: Plugin Architectures,2009-01-19T22:08:52,Episode 115: Architecture Analysis,2009-01-19T22:08:52,Episode 116: The Semantic Web with Jim Hendler,2009-01-19T22:08:52,Episode 117: Bran Selic on UML,2009-01-19T22:08:52,Episode 118: Eelco Visser on Parsers,2009-01-19T22:08:52,Episode 123: Microsoft OSLO with Don Box and Doug Purdy,2009-01-19T22:08:52,Episode 120: OCL with Anneke Kleppe,2009-01-19T22:08:52,Episode 119: DSLs in Practice with JP Tolvanen,2009-01-19T22:08:52,Episode 121: OR Mappers with Michael Plöd,2009-01-19T22:08:52,Episode 122: Interview Janos Sztipanovits,2009-01-19T22:08:52,Episode 2: Dependencies,2009-01-19T22:08:53,Episode 0: About,2009-01-19T22:08:53,Episode 1: Patterns,2009-01-19T22:08:53,Episode 3: Interview Doug Schmidt,2009-01-19T22:08:53,Episode 5: Model-Driven Software Development Pt. 1,2009-01-19T22:08:53,Episode 4: Scripting Languages,2009-01-19T22:08:53,Episode 6: Model-Driven Software Development Pt. 2,2009-01-19T22:08:53,Episode 7: Error Handling,2009-01-19T22:08:53,Episode 8: Interview Eric Evans,2009-01-19T22:08:53,Episode 9: Remoting Pt.1 and Listener Feedback,2009-01-19T22:08:53,Episode 11: Interview Gregor Kiczales,2009-01-19T22:08:53,Episode 10: Remoting Pt. 2,2009-01-19T22:08:53,Episode 12: Concurrency Pt. 1,2009-01-19T22:08:53,Episode 14: Interview Ted Neward,2009-01-19T22:08:53,Episode 13: Ruby in Practice,2009-01-19T22:08:53,Episode 17: Feedback and Roadmap,2009-01-19T22:08:53,Episode 16: MDSD Pt. 3, Hands-On,2009-01-19T22:08:53,Episode 15: The Future of Enterprise Java,2009-01-19T22:08:53,Episode 20: Interview Michael Stal,2009-01-19T22:08:53,Episode 19: Concurrency Pt. 2,2009-01-19T22:08:53,Episode 18: Resource Management,2009-01-19T22:08:53,Episode 21: Error Handling Pt. 2,2009-01-19T22:08:53,Episode 23: Architecture Pt. 1,2009-01-19T22:08:53,Episode 22: Feedback,2009-01-19T22:08:53,Episode 24: Development Processes Pt.1,2009-01-19T22:08:53,Episode 25: Architecture Pt. 2,2009-01-19T22:08:53,Episode 26: Interview Jutta Eckstein,2009-01-19T22:08:53,Episode 29: Concurrency Pt.3,2009-01-19T22:08:53,Episode 28: Type Systems,2009-01-19T22:08:53,Episode 27: Service Oriented Architecture Pt.1,2009-01-19T22:08:53,Episode 30: Architecture Pt.3,2009-01-19T22:08:53,Episode 31: Agile Documentation,2009-01-19T22:08:53,Episode 34: Enterprise Architecture,2009-01-19T22:08:53,Episode 33: Service Oriented Architecture, Pt.2b,2009-01-19T22:08:53,Episode 32: Service Oriented Architecture, Pt.2a,2009-01-19T22:08:53,Episode 35: Roadmap,2009-01-19T22:08:53,Episode 37: eXtreme Programming Pt.1,2009-01-19T22:08:53,Episode 36: Interview Guy Steele,2009-01-19T22:08:53,Episode 39: Interview Steve Vinoski,2009-01-19T22:08:53,Episode 38: Interview James Noble,2009-01-19T22:08:53,Episode 40: Interview Werner Vogels,2009-01-19T22:08:53,Episode 41: Architecture Patterns (Architecture Pt. 4),2009-01-19T22:08:53,Episode 42: Interview Gregor Hohpe,2009-01-19T22:08:53,Episode 43: eXtreme Programming Pt.2,2009-01-19T22:08:53,Episode 45: Round Table on Ultra Large Scale Systems,2009-01-19T22:08:53,Episode 44: Interview Brian Goetz and David Holmes,2009-01-19T22:08:53,Episode 46: Refactoring Pt. 1,2009-01-19T22:08:53 
Comment 6 andreaswuest 2009-01-20 19:29:09 UTC
i tried another one and i am now convinced that the pubdate is definitely not
correct. i added http://saemuc.podspot.de/rss which has only two episodes.
running your query i get the following result :

query:
Amarok.Collection.query("SELECT e.title, e.pubdate FROM podcastepisodes AS e LEFT JOIN podcastchannels AS c ON e.channel=c.id WHERE c.url='http://saemuc.podspot.de/rss' ORDER BY e.pubdate;");

result:
SAE-Munich-Podcast-01,2009-01-20T19:22:26,Sae-Munich-Podcast-02,2009-01-20T19:22:26 

the pubdate always seems to be the timestamp of insertion and not the pubdate
that is contained in the rss feed !

Comment 7 Bart Cerneels 2009-01-20 20:48:31 UTC
I and others have attempted to reproduce this problem but failed. Even using exactly the urls as you mentioned.

My only guess is that you are not either not using version 2.0.1 but RC1 or older or that there is a bug in the Qt version you have. Please send me the output of
amarok --version so I can check.
Comment 8 andreaswuest 2009-01-21 19:07:53 UTC
andy@laptop2:~$ amarok --version
Qt: 4.4.3
KDE: 4.1.3 (KDE 4.1.3)
Amarok: 2.0.1

being desperate i removed all data under .kde/share/apps/amarok/ and added 
the podcasts again : the podcast http://feeds.feedburner.com/se-radio

sorting seems to be correct now at least for the sql (even though the pubdate
seems to be the insert date and all pubdates are equal !). 
however in the playlist the sorting order is still not ok.

Episode 123: Microsoft OSLO with Don Box and Doug Purdy,2009-01-21T18:36:13,Episode 122: Interview Janos Sztipanovits,2009-01-21T18:36:13,Episode 121: OR Mappers with Michael Plöd,2009-01-21T18:36:13,Episode 120: OCL with Anneke Kleppe,2009-01-21T18:36:13,Episode 119: DSLs in Practice with JP Tolvanen,2009-01-21T18:36:13,Episode 118: Eelco Visser on Parsers,2009-01-21T18:36:13,Episode 117: Bran Selic on UML,2009-01-21T18:36:13,Episode 116: The Semantic Web with Jim Hendler,2009-01-21T18:36:13,Episode 115: Architecture Analysis,2009-01-21T18:36:13,Episode 114: Christof Ebert on Requirements Engineering,2009-01-21T18:36:13,Episode 113: Building Platforms with Jeff McAffer,2009-01-21T18:36:13,Episode 112: Roles in Software Engineering II,2009-01-21T18:36:13,Episode 111: About Us 2008,2009-01-21T18:36:13,Episode 110: Roles in Software Engineering I,2009-01-21T18:36:13,Episode 109: eBay's Architecture Principles with Randy Shoup,2009-01-21T18:36:13,Episode 108: Simon Peyton Jones on Functional Programming and Haskell,2009-01-21T18:36:13,Episode 107: Andrew Watson on the OMG,2009-01-21T18:36:13,Episode 106: Introduction to AOP,2009-01-21T18:36:13,Episode 105: Retrospectives with Linda Rising,2009-01-21T18:36:13,Episode 104: Plugin Architectures,2009-01-21T18:36:13,Episode 103: 10 years of Agile Experiences,2009-01-21T18:36:13,Episode 102: Relational Databases,2009-01-21T18:36:13,Episode 101: Andreas Zeller on Debugging,2009-01-21T18:36:13,Episode 100: Software in Space,2009-01-21T18:36:13,Episode 99: Transactions,2009-01-21T18:36:13,Episode 98: Stefan Tilkov on REST,2009-01-21T18:36:13,Episode 97: Interview Anders Hejlsberg,2009-01-21T18:36:13,Episode 96: Interview Krzysztof Czarnecki,2009-01-21T18:36:13,Episode 95: The New Guardian.co.uk website with Matt Wall and Erik DoernenBurg,2009-01-21T18:36:13,Episode 94: Open Source Business Models with Dirk Riehle,2009-01-21T18:36:13,Episode 93: Lessons Learned From Architecture Reviews with Rebecca Wirfs-Brock,2009-01-21T18:36:13,Episode 92: Introduction to Game Development,2009-01-21T18:36:13,Episode 91: Kevlin Henney on C++,2009-01-21T18:36:13,Episode 90: Product Line Engineering, Pt. 3, with Charles Krueger,2009-01-21T18:36:13,Episode 89: Joe Armstrong on Erlang,2009-01-21T18:36:13,Episode 88: The Singularity Research OS with Galen Hunt,2009-01-21T18:36:13,Episode 87: Software Components,2009-01-21T18:36:13,Episode 86: Interview Dave Thomas,2009-01-21T18:36:13,Episode 85: Web Services with Olaf Zimmermann,2009-01-21T18:36:13,Episode 84: Dick Gabriel on Lisp,2009-01-21T18:36:13,Episode 83: Jeff DeLuca on Feature Driven Development,2009-01-21T18:36:13,Episode 82: Organization of Large Code Bases with Juergen Hoeller,2009-01-21T18:36:13,Episode 81: Interview Erich Gamma,2009-01-21T18:36:13,Episode 80: OSGi with Peter Kriens and BJ Hargrave,2009-01-21T18:36:13,Episode 79: Small Memory Software with Weir and Noble,2009-01-21T18:36:13,Episode 78: Fault Tolerance with Bob Hanmer Pt. 2,2009-01-21T18:36:13,Episode 77: Fault Tolerance with Bob Hanmer Pt. 1,2009-01-21T18:36:13,Episode 76: Special Episode on the Patterns Journal,2009-01-21T18:36:13,Episode 75: The New Website,2009-01-21T18:36:13,Episode 74: Enterprise Architecture II,2009-01-21T18:36:13,Episode 73: Real Time Systems with Bruce Powel Douglass,2009-01-21T18:36:13,Episode 72: Erik Meijer on LINQ,2009-01-21T18:36:13,Episode 71: Survey Results,2009-01-21T18:36:13,Episode 70: Gerard Meszaros on XUnit Test Patterns,2009-01-21T18:36:13,Episode 69: Nico Josuttis on SOA (SOA Pt. 3),2009-01-21T18:36:13,Episode 68: Dan Grossman on Garbage Collection and Transactional Memory,2009-01-21T18:36:13,Episode 67: Roundtable on MDSD and PLE,2009-01-21T18:36:13,Episode 66: Gary McGraw on Security,2009-01-21T18:36:13,Episode 65: Introduction to Embedded Systems,2009-01-21T18:36:13,Episode 64: Luke Hohmann on Architecture and Business,2009-01-21T18:36:13,Episode 63: A Pattern Language for Distributed Systems with Henney and Buschmann,2009-01-21T18:36:13,Episode 62: Martin Odersky on Scala,2009-01-21T18:36:13,Episode 61: Internals of GCC,2009-01-21T18:36:13,Episode 60: Roman Pichler on Scrum,2009-01-21T18:36:13,Episode 59: Static Code Analysis,2009-01-21T18:36:13,Episode 58: Product Line Engineering Pt. 2,2009-01-21T18:36:13,Episode 57: Compile-Time Metaprogramming,2009-01-21T18:36:13,Episode 56: Sensor Networks,2009-01-21T18:36:13,Episode 55: Refactoring Pt. 2,2009-01-21T18:36:13,Episode 54: Interview Frank Buschmann,2009-01-21T18:36:13,Episode 53: Product Line Engineering Pt. 1,2009-01-21T18:36:13,Episode 52: DSL Development in Ruby,2009-01-21T18:36:13,Episode 51: Design By Contract,2009-01-21T18:36:13,Episode 50: Announcements and Requests,2009-01-21T18:36:13,Episode 49: Dynamic Languages for Static Minds,2009-01-21T18:36:13,Episode 48: Interview Dragos Manolescua,2009-01-21T18:36:13,Episode 47: Interview Grady Booch,2009-01-21T18:36:13,Episode 46: Refactoring Pt. 1,2009-01-21T18:36:13,Episode 45: Round Table on Ultra Large Scale Systems,2009-01-21T18:36:13,Episode 44: Interview Brian Goetz and David Holmes,2009-01-21T18:36:13,Episode 43: eXtreme Programming Pt.2,2009-01-21T18:36:13,Episode 42: Interview Gregor Hohpe,2009-01-21T18:36:13,Episode 41: Architecture Patterns (Architecture Pt. 4),2009-01-21T18:36:13,Episode 40: Interview Werner Vogels,2009-01-21T18:36:13,Episode 39: Interview Steve Vinoski,2009-01-21T18:36:13,Episode 38: Interview James Noble,2009-01-21T18:36:13,Episode 37: eXtreme Programming Pt.1,2009-01-21T18:36:13,Episode 36: Interview Guy Steele,2009-01-21T18:36:13,Episode 35: Roadmap,2009-01-21T18:36:13,Episode 34: Enterprise Architecture,2009-01-21T18:36:13,Episode 33: Service Oriented Architecture, Pt.2b,2009-01-21T18:36:13,Episode 32: Service Oriented Architecture, Pt.2a,2009-01-21T18:36:13,Episode 31: Agile Documentation,2009-01-21T18:36:13,Episode 30: Architecture Pt.3,2009-01-21T18:36:14,Episode 29: Concurrency Pt.3,2009-01-21T18:36:14,Episode 28: Type Systems,2009-01-21T18:36:14,Episode 27: Service Oriented Architecture Pt.1,2009-01-21T18:36:14,Episode 26: Interview Jutta Eckstein,2009-01-21T18:36:14,Episode 25: Architecture Pt. 2,2009-01-21T18:36:14,Episode 24: Development Processes Pt.1,2009-01-21T18:36:14,Episode 23: Architecture Pt. 1,2009-01-21T18:36:14,Episode 22: Feedback,2009-01-21T18:36:14,Episode 21: Error Handling Pt. 2,2009-01-21T18:36:14,Episode 20: Interview Michael Stal,2009-01-21T18:36:14,Episode 19: Concurrency Pt. 2,2009-01-21T18:36:14,Episode 18: Resource Management,2009-01-21T18:36:14,Episode 17: Feedback and Roadmap,2009-01-21T18:36:14,Episode 16: MDSD Pt. 3, Hands-On,2009-01-21T18:36:14,Episode 15: The Future of Enterprise Java,2009-01-21T18:36:14,Episode 14: Interview Ted Neward,2009-01-21T18:36:14,Episode 13: Ruby in Practice,2009-01-21T18:36:14,Episode 12: Concurrency Pt. 1,2009-01-21T18:36:14,Episode 11: Interview Gregor Kiczales,2009-01-21T18:36:14,Episode 10: Remoting Pt. 2,2009-01-21T18:36:14,Episode 9: Remoting Pt.1 and Listener Feedback,2009-01-21T18:36:14,Episode 8: Interview Eric Evans,2009-01-21T18:36:14,Episode 7: Error Handling,2009-01-21T18:36:14,Episode 6: Model-Driven Software Development Pt. 2,2009-01-21T18:36:14,Episode 5: Model-Driven Software Development Pt. 1,2009-01-21T18:36:14,Episode 4: Scripting Languages,2009-01-21T18:36:14,Episode 3: Interview Doug Schmidt,2009-01-21T18:36:14,Episode 2: Dependencies,2009-01-21T18:36:14,Episode 1: Patterns,2009-01-21T18:36:14,Episode 0: About,2009-01-21T18:36:14 
Comment 9 Bart Cerneels 2009-02-05 20:07:30 UTC
*** Bug 183329 has been marked as a duplicate of this bug. ***
Comment 10 Bart Cerneels 2009-02-05 20:08:32 UTC
Looks like this feed doesn't use the correct format for pubdate. I do some very simple parsing of the pubdate that can not handle this.

The code is in PodcastReader.cpp:294 perhaps someone can take a look at it to help solve this. 
Comment 11 Bart Cerneels 2009-02-05 23:49:10 UTC
SVN commit 921917 by shanachie:

Fix parsing of pubdate since it caused episodes to be ordered incorrectly.

BUG:181338


 M  +2 -0      ChangeLog  
 M  +11 -7     src/podcasts/PodcastReader.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=921917